Package org.apache.lucene.facet.taxonomy

## Class OrdinalsReader

- java.lang.Object
- - org.apache.lucene.facet.taxonomy.OrdinalsReader

- Direct Known Subclasses:
    `CachedOrdinalsReader`, `DocValuesOrdinalsReader`

      @Deprecated
      public abstract class OrdinalsReader
      extends Object

  Deprecated.
  Custom binary encodings for taxonomy ordinals are no longer supported starting with Lucene 9
  Provides per-document ordinals.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `OrdinalsReader.OrdinalsSegmentReader` | Deprecated. Returns ordinals for documents in one segment.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OrdinalsReader()` | Deprecated. Default constructor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract String` | `getIndexFieldName()` | Deprecated. Returns the indexed field name this `OrdinalsReader` is reading from.
    `abstract OrdinalsReader.OrdinalsSegmentReader` | `getReader​(LeafReaderContext context)` | Deprecated. Set current atomic reader.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrdinalsReader

          public OrdinalsReader()

      Deprecated.
      Default constructor.

  - ### Method Detail

    - #### getReader

          public abstract OrdinalsReader.OrdinalsSegmentReader getReader​(LeafReaderContext context)
                                                                  throws IOException

      Deprecated.
      Set current atomic reader.
      Throws:
        `IOException`

    - #### getIndexFieldName

          public abstract String getIndexFieldName()

      Deprecated.
      Returns the indexed field name this `OrdinalsReader` is reading from.